Page MenuHomePhabricator

Create an "add" button to add a Form to a list of Forms and wire it to display "add Form"
Closed, ResolvedPublic

Description

Create an "add" button to add a Form to a list of Forms
This uses the toolbar infrastructure.
In the first patch the button doesn't do anything.
Note: It might not be possible to split this from the next task that wires the add button.
Make sure the browser test succeeds at this step.

Make the "add" button display the "add Form" form
This patch creates the wiring to the Form widget previously created.
Add Form to List of Forms and put Form to edit mode.

Related Objects

Event Timeline

Jonas created this task.Apr 6 2017, 8:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 8:13 AM
Jonas renamed this task from Create an "add" button to add a Form to a list of Forms to Create an "add" button to add a Form to a list of Forms and wire it to display "add Form".Apr 12 2017, 10:07 AM
Jonas updated the task description. (Show Details)

Change 348756 had a related patch set uploaded (by Jakob):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add LexemeViewFactory to enable adding forms.

https://gerrit.wikimedia.org/r/348756

Change 348756 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Enable editing of forms in the form list view.

https://gerrit.wikimedia.org/r/348756

WMDE-leszek closed this task as Resolved.Apr 28 2017, 9:46 AM
WMDE-leszek claimed this task.
WMDE-leszek moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.